Amplify APIReference
Create a new Segment
POST
/marketers/{marketerId}/segments| Property | Type | Semantic | Example | Comments |
|---|---|---|---|---|
| name | String | segment name. | "My Segment" | |
| description | String | segment description. | "all clicks which originated from..." | |
| enabled | Boolean | Is the segment enabled | true | |
| segmentType | SegmentType | the type of the segment. | ||
| pixelTypeRules | PixelTypeRules | an object describing rules defining membership to PIXEL segment. | only applicable to segments of type PIXEL | |
| clickersCampaigns | Array of String | a collection of campaign ids defining membership to CLICKERS segment | only applicable to segments of type CLICKERS | |
| membershipDuration | Integer | number of days a user should be attributed to a segment. | ||
| lookalikeSettings | Create Lookalike Metadata | an object describing the settings of a LOOK_A_LIKES segment | ||
| conversion | SegmentConversion | an object describing the conversion the segment is based on. For segment type CONVERSION only one segment is allowed for each conversion. For segment type VALUABLE_CONVERSION contains also the rule that defines membership to Value Based Converters segment. | only applicable to segments of type CONVERSION or VALUABLE_CONVERSION |
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
marketerId*string
the marketer id
Query Parameters
name?string
the segment name
matchExactNAme?string
should the name search use exact matching
includeArchived?string
should the search results include archived segments
Response Body
application/json
curl -X POST "https://example.com/marketers/008f7b0d8a5c8cb24ba3011be372bfb232/segments?name=segment+name&matchExactNAme=true&includeArchived=false"Empty